import BackToTop from './BackToTop/index.js' // 引入组件
import Breadcrumb from './Breadcrumb/index.js' // 引入组件
import DndList from './DndList/index.js' // 引入组件
import DragSelect from './DragSelect/index.js' // 引入组件
import Dropzone from './Dropzone/index.js' // 引入组件
import Hamburger from './Hamburger/index.js' // 引入组件
import HeaderSearch from './HeaderSearch/index.js' // 引入组件
import JsonEditor from './JsonEditor/index.js' // 引入组件
import Kanban from './Kanban/index.js' // 引入组件
import Layout from './Layout/index.js' // 引入组件
import MarkdownEditor from './MarkdownEditor/index.js' // 引入组件
import MDinput from './MDinput/index.js' // 引入组件
import Pagination from './Pagination/index.js' // 引入组件
import PanThumb from './PanThumb/index.js' // 引入组件
import RightPanel from './RightPanel/index.js' // 引入组件
import Screenfull from './Screenfull/index.js' // 引入组件
import SizeSelect from './SizeSelect/index.js' // 引入组件
import Sticky from './Sticky/index.js' // 引入组件
import SvgIcon from './SvgIcon/index.js' // 引入组件
import ThemePicker from './ThemePicker/index.js' // 引入组件

const components = [
  BackToTop,
  Breadcrumb,
  DndList,
  DragSelect,
  Dropzone,
  Hamburger,
  HeaderSearch,
  JsonEditor,
  Kanban,
  Layout,
  MarkdownEditor,
  MDinput,
  Pagination,
  PanThumb,
  RightPanel,
  Screenfull,
  SizeSelect,
  Sticky,
  SvgIcon,
  ThemePicker
];
//'vue-use是调用的install方法'
const install = function(Vue) {
  if (install.installed) return;
  components.map(component => Vue.component(component.name, component));
};

if (typeof window !== 'undefined' && window.Vue) {
  console.log('传入参数install方法')
  install(window.Vue);
}

export default {
  install, // 如果在外面使用vue.use的话，就会默认使用install方法
  BackToTop,
  Breadcrumb,
  DndList,
  DragSelect,
  Dropzone,
  Hamburger,
  HeaderSearch,
  JsonEditor,
  Kanban,
  Layout,
  MarkdownEditor,
  MDinput,
  Pagination,
  PanThumb,
  RightPanel,
  Screenfull,
  SizeSelect,
  Sticky,
  SvgIcon,
  ThemePicker
};
